Package com.treemap.swing.tagcloud

# Class SwingTextShape

java.lang.Object
com.treemap.swing.tagcloud.SwingTextShape

All Implemented Interfaces:
  `com.macrofocus.geom.Shape`, `TextShape`

public class SwingTextShape extends Object implements TextShape
Created by luc on 01.05.17.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingTextShape(String text, com.macrofocus.geom.GeneralPath shape)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(com.macrofocus.geom.Point2D p)`
  `final com.macrofocus.geom.Shape`
  `createTransformedShape(com.macrofocus.geom.AffineTransform at)`
  `com.macrofocus.geom.Rectangle2D`
  `getBounds2D()`
  `com.macrofocus.geom.PathIterator`
  `getFlattenPathIterator(double flatness)`
  `com.macrofocus.igraphics.CPFont`
  `getFont()`
  `com.macrofocus.geom.PathIterator`
  `getPathIterator()`
  `com.macrofocus.geom.PathIterator`
  `getPathIterator(com.macrofocus.geom.AffineTransform at)`
  `String`
  `getText()`
  `boolean`
  `intersects(com.macrofocus.geom.Rectangle2D r)`
  `boolean`
  `isTextOutline()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.geom.Shape

  `getBounds`

- ## Constructor Details

  - ### SwingTextShape

    public SwingTextShape(String text, com.macrofocus.geom.GeneralPath shape)

- ## Method Details

  - ### getText

    public String getText()
    Specified by:
      `getText` in interface `TextShape`

  - ### getFont

    public com.macrofocus.igraphics.CPFont getFont()
    Specified by:
      `getFont` in interface `TextShape`

  - ### isTextOutline

    public boolean isTextOutline()
    Specified by:
      `isTextOutline` in interface `TextShape`

  - ### getBounds2D

    public com.macrofocus.geom.Rectangle2D getBounds2D()
    Specified by:
      `getBounds2D` in interface `com.macrofocus.geom.Shape`

  - ### contains

    public boolean contains(com.macrofocus.geom.Point2D p)
    Specified by:
      `contains` in interface `com.macrofocus.geom.Shape`

  - ### intersects

    public boolean intersects(com.macrofocus.geom.Rectangle2D r)
    Specified by:
      `intersects` in interface `com.macrofocus.geom.Shape`

  - ### getPathIterator

    public com.macrofocus.geom.PathIterator getPathIterator(com.macrofocus.geom.AffineTransform at)
    Specified by:
      `getPathIterator` in interface `com.macrofocus.geom.Shape`

  - ### getPathIterator

    public com.macrofocus.geom.PathIterator getPathIterator()
    Specified by:
      `getPathIterator` in interface `com.macrofocus.geom.Shape`

  - ### getFlattenPathIterator

    public com.macrofocus.geom.PathIterator getFlattenPathIterator(double flatness)
    Specified by:
      `getFlattenPathIterator` in interface `com.macrofocus.geom.Shape`

  - ### createTransformedShape

    public final com.macrofocus.geom.Shape createTransformedShape(com.macrofocus.geom.AffineTransform at)
    Specified by:
      `createTransformedShape` in interface `TextShape`